Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg	(revision 118)
@@ -39,11 +39,12 @@
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="1" />
+    <parameter name="nb_inst_retire_reservation_station"    value="4" />
   </read_bloc>                                              
 
-  <write_bloc id="0,1,2,3,4,5,6,7,8,9,10,11">
+  <write_bloc id="0,1,2,3,4,5">
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
-    <parameter name="nb_bypass_write"                       value="0" />
+    <parameter name="nb_bypass_write"                       value="1" />
+    <parameter name="write_queue_scheme"                    value="1" />
   </write_bloc>                                             
 
@@ -88,13 +89,13 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="4" />
+    <parameter name="dir_predictor_scheme"                  value="2" />
                                                             
     <predictor id="0">                                      
-      <parameter name="dir_have_bht"                        value="0"  />
-      <parameter name="dir_bht_size_shifter"                value="1"  />
+      <parameter name="dir_have_bht"                        value="1"  />
+      <parameter name="dir_bht_size_shifter"                value="4"  />
       <parameter name="dir_bht_nb_shifter"                  value="64" />
       <parameter name="dir_have_pht"                        value="1"  />
       <parameter name="dir_pht_size_counter"                value="2"  />
-      <parameter name="dir_pht_nb_counter"                  value="16" />
+      <parameter name="dir_pht_nb_counter"                  value="64" />
       <parameter name="dir_pht_size_address_share"          value="0"  />
     </predictor>                                            
@@ -105,5 +106,5 @@
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_nb_counter"                  value="128" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
@@ -122,12 +123,12 @@
     <parameter name="nb_inst_reexecute"                     value="1" />
     <parameter name="nb_inst_commit"                        value="4" />
-    <parameter name="nb_inst_branch_complete"               value="1" />
+    <parameter name="nb_inst_branch_complete"               value="2" />
     <parameter name="nb_rename_unit_select"                 value="1" />
     <parameter name="nb_execute_loop_select"                value="1" />
-    <parameter name="size_re_order_buffer"                  value="64"/>
+    <parameter name="size_re_order_buffer"                  value="128"/>
     <parameter name="nb_re_order_buffer_bank"               value="64" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
-    <parameter name="size_issue_queue"                      value="8" />
+    <parameter name="size_issue_queue"                      value="16" />
     <parameter name="nb_issue_queue_bank"                   value="4" />
     <parameter name="issue_queue_scheme"                    value="0" />
@@ -141,5 +142,5 @@
   <execute_loop id="0">
     <parameter name="nb_read_unit"                          value="6" />
-    <parameter name="nb_write_unit"                         value="12"/>
+    <parameter name="nb_write_unit"                         value="6" />
     <parameter name="nb_execute_unit"                       value="6" />
     <parameter name="nb_gpr_bank"                           value="1" />
@@ -183,10 +184,4 @@
   <link name="link_write_unit_with_write_bloc"         src="4"     dest="0.4" />
   <link name="link_write_unit_with_write_bloc"         src="5"     dest="0.5" />
-  <link name="link_write_unit_with_write_bloc"         src="6"     dest="0.6" />
-  <link name="link_write_unit_with_write_bloc"         src="7"     dest="0.7" />
-  <link name="link_write_unit_with_write_bloc"         src="8"     dest="0.8" />
-  <link name="link_write_unit_with_write_bloc"         src="9"     dest="0.9" />
-  <link name="link_write_unit_with_write_bloc"         src="10"    dest="0.10"/>
-  <link name="link_write_unit_with_write_bloc"         src="11"    dest="0.11"/>
 
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
@@ -273,77 +268,44 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.0"  dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="11.0"  dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="4.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="5.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="6.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="7.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="8.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="9.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="10.0"  dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="11.0"  dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="4.1"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="5.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="6.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="7.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="8.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="9.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="10.1"  dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="11.1"  dest="1"   />
+
   <link name="link_write_bloc_and_functionnal_unit"    src="0.2"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.2"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.2"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.2"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="4.2"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="5.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="6.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="7.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="8.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="9.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="10.2"  dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="11.2"  dest="1"   />
+
   <link name="link_write_bloc_and_functionnal_unit"    src="0.3"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.3"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.3"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.3"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.3"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="4.3"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="5.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="6.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="7.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="8.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="9.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="10.3"  dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="11.3"  dest="1"   />
+
   <link name="link_write_bloc_and_functionnal_unit"    src="0.4"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.4"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.4"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.4"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.4"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="4.4"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="5.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="6.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="7.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="8.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="9.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="10.4"  dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="11.4"  dest="1"   />
 
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
